import * as Yup from 'yup'

export const validationSchema = Yup.object().shape({

    depressionLog: Yup.object().shape({
    
        depressionQ1: Yup.number()
            .min(0,'Q1 is required'),
        depressionQ2: Yup.number()
            .min(0,'Q2 is required'),
        depressionQ3: Yup.number()
            .min(0,'Q3 is required'),
        depressionQ4: Yup.number()
            .min(0,'Q4 is required'),
        depressionQ5: Yup.number()
            .min(0,'Q5 is required'),     
        depressionQ6: Yup.number()
            .min(0,'Q6 is required'),     
        depressionQ7: Yup.number()
            .min(0,'Q7 is required'),     
        depressionQ8: Yup.number()
            .min(0,'Q8 is required'),     
        depressionQ9: Yup.number()
            .min(0,'Q9 is required'),     
        depressionQ10: Yup.number()
            .min(0,'Q10 is required'),     
        total: Yup.number()
            .min(0,'Depression Score is required'),
        
    })
})
